devguard
Policy controlSearch

Search available controls for mapping to policies.

GET
/policy-control/search/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

query?string
frameworkId?string
excludePolicyId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
excludeSectionUid?string
organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/policy-control/search/?organizationId=string"
[  {    "id": "string",    "control": {      "id": "string",      "identifier": "string",      "name": "string",      "frameworkId": "string",      "framework": {        "id": "string",        "name": "string",        "identifier": "string"      }    },    "frameworkAdoption": {      "id": "string",      "frameworkId": "string",      "organizationId": "string",      "framework": {        "id": "string",        "name": "string",        "identifier": "string"      }    }  }]

How is this guide?